<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clipToPadding="true"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginStart="50dp"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="50dp"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="------------------------"/>
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="appKey/seceretKey"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="appKey："/>
                <EditText
                    android:id="@+id/sp_input_appkey_et"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="seceretKey："/>
                <EditText
                    android:id="@+id/sp_input_seceret_et"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="ttsId："/>
                <EditText
                    android:id="@+id/sp_input_tts_id_et"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="ttsKey："/>
                <EditText
                    android:id="@+id/sp_input_tts_key_et"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <Button
                android:id="@+id/sp_bt_project_auth_test"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="visible"
                android:text="进行项目授权授权"/>
            <Button
                android:id="@+id/sp_view_sdk_init"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="初始化SDK"/>
        </LinearLayout>
        <Button
            android:id="@+id/sp_view_sdk_auth"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="查看SDK授权状态"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <Button
                android:id="@+id/sp_set_play_way_bt"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:text="SDK播放声音"/>
            <Button
                android:id="@+id/sp_start_sdk_auth_surface"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:text="SDK授权+启动数字人(surfaceview)"/>
        </LinearLayout>
        <Button
            android:id="@+id/sp_start_sdk_auth_image"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="visible"
            android:text="SDK授权+启动数字人(图片帧)"/>

        <Button
            android:id="@+id/sp_auth_change_device"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="授权码换绑到新设备"/>
        <Button
            android:id="@+id/sp_check_model_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:text="模型验证"/>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="------------------------"/>
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="使用时长包增加设备可用时长"/>
        <LinearLayout
            android:id="@+id/sp_ll_renew"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="时长包："/>
                <EditText
                    android:id="@+id/sp_input_activate_code_et"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"/>
            </LinearLayout>

            <Button
                android:id="@+id/sp_activate_btn"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="right"
                android:text="确认使用"/>
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>